classification
Title: Update python.org installers to use OpenSSL 1.0.2e
Type: Stage: resolved
Components: Build Versions: Python 3.6, Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, larry, ned.deily, python-dev, steve.dower, terry.reedy, zach.ware
Priority: normal Keywords:

Created on 2015-12-04 20:34 by ned.deily, last changed 2016-02-02 19:24 by zach.ware. This issue is now closed.

Messages (9)
msg255880 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2015-12-04 20:34
https://www.openssl.org/news/secadv/20151203.txt
msg255885 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-12-04 21:09
Considering we're building 2.7 and 3.5 tomorrow, ought we delay them long enough to add a second RC with this change?

Looking at the issues that have been fixed, it doesn't seem like any are critical.
msg255928 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2015-12-05 06:46
I don't mind if you upgrade for the final.
msg255960 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-12-05 15:12
I don't want to do it without running it through the buildbots at least. There's so much that can change just by rebuilding.

I'd love to say I have the time today to make the change and validate two separate versions before producing the releases, but I really don't.
msg255961 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2015-12-05 17:25
Okay; let's leave things as is for 2.7.11.

It's fine to commit the update to the 2.7 branch. The release comes from
my private 2.7.11 release branch, so wouldn't include it.

On Sat, Dec 5, 2015, at 07:12, Steve Dower wrote:
> 
> Steve Dower added the comment:
> 
> I don't want to do it without running it through the buildbots at least.
> There's so much that can change just by rebuilding.
> 
> I'd love to say I have the time today to make the change and validate two
> separate versions before producing the releases, but I really don't.
> 
> ----------
> 
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue25798>
> _______________________________________
msg256003 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-12-06 05:02
New changeset f9a0ac60f876 by Ned Deily in branch '2.7':
Issue #25798: Update OS X 10.5+ 32-bit-only installer to build
https://hg.python.org/cpython/rev/f9a0ac60f876

New changeset 51a0dd6f7c73 by Ned Deily in branch '3.4':
Issue #25798: Update OS X 10.5+ 32-bit-only installer to build
https://hg.python.org/cpython/rev/51a0dd6f7c73

New changeset 02d2127fda6c by Ned Deily in branch '3.5':
Issue #25798: merge from 3.4
https://hg.python.org/cpython/rev/02d2127fda6c

New changeset 50a99be891bc by Ned Deily in branch 'default':
Issue #25798: merge from 3.5
https://hg.python.org/cpython/rev/50a99be891bc
msg256284 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2015-12-12 12:39
Close this?
msg256295 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-12-12 21:03
It hasn't been fixed for Windows yet.
msg259423 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2016-02-02 19:24
Actually, this one can be closed now, see issue26268.
History
Date User Action Args
2016-02-02 19:24:56zach.waresetstatus: open -> closed

nosy: + zach.ware
messages: + msg259423

resolution: fixed
stage: needs patch -> resolved
2015-12-12 21:03:53steve.dowersetmessages: + msg256295
2015-12-12 12:39:27terry.reedysetnosy: + terry.reedy
messages: + msg256284
2015-12-06 05:02:06python-devsetnosy: + python-dev
messages: + msg256003
2015-12-05 17:25:25benjamin.petersonsetmessages: + msg255961
2015-12-05 15:12:01steve.dowersetmessages: + msg255960
2015-12-05 06:46:25benjamin.petersonsetmessages: + msg255928
2015-12-04 21:09:55steve.dowersetmessages: + msg255885
2015-12-04 20:34:31ned.deilycreate